_Eina_Matrix4 Struct Reference
Eina » Data Types » Matrix » 4x4 Matrices in floating point

## Data Fields

double | xx
| xx in x' = (x * xx) + (y * xy) + (z * xz) + xw
double | xy
| xy in x' = (x * xx) + (y * xy) + (z * xz) + xw
double | xz
| xz in x' = (x * xx) + (y * xy) + (z * xz) + xw
double | xw
| xw in x' = (x * xx) + (y * xy) + (z * xz) + xw
double | yx
| yx in y' = (x * yx) + (y * yy) + (z * yz) + yw
double | yy
| yy in y' = (x * yx) + (y * yy) + (z * yz) + yw
double | yz
| yz in y' = (x * yx) + (y * yy) + (z * yz) + yw
double | yw
| yw in y' = (x * yx) + (y * yy) + (z * yz) + yw
double | zx
| zx in z' = (x * zx) + (y * zy) + (z * zz) + zw
double | zy
| zy in z' = (x * zx) + (y * zy) + (z * zz) + zw
double | zz
| zz in z' = (x * zx) + (y * zy) + (z * zz) + zw
double | zw
| zw in z' = (x * zx) + (y * zy) + (z * zz) + zw
double | wx
| wx in w' = (x * wx) + (y * wy) + (z * wz) + ww
double | wy
| wy in w' = (x * wx) + (y * wy) + (z * wz) + ww
double | wz
| wz in w' = (x * wx) + (y * wy) + (z * wz) + ww
double | ww
| ww in w' = (x * wx) + (y * wy) + (z * wz) + ww